import { PropType } from 'vue';
import Alignment from '../../types/Alignment';
import { ColorVariant } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    align: {
        type: PropType<Alignment>;
        required: false;
    };
    bgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    bodyBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    bodyClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    bodyTag: {
        type: StringConstructor;
        default: string;
    };
    bodyTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    borderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footer: {
        type: StringConstructor;
        required: false;
    };
    footerBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footerBorderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footerClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    footerHtml: {
        type: StringConstructor;
        default: string;
    };
    footerTag: {
        type: StringConstructor;
        default: string;
    };
    footerTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    header: {
        type: StringConstructor;
        required: false;
    };
    headerBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    headerBorderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    headerClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    headerHtml: {
        type: StringConstructor;
        default: string;
    };
    headerTag: {
        type: StringConstructor;
        default: string;
    };
    headerTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    imgAlt: {
        type: StringConstructor;
        required: false;
    };
    imgBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgEnd: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    imgLeft: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgRight: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgSrc: {
        type: StringConstructor;
        required: false;
    };
    imgStart: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgTop: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    noBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    subTitle: {
        type: StringConstructor;
        required: false;
    };
    subTitleTag: {
        type: StringConstructor;
        default: string;
    };
    subTitleTextVariant: {
        type: PropType<ColorVariant>;
        default: string;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    textVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    titleTag: {
        type: StringConstructor;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean | ColorVariant | Alignment | undefined;
        'flex-row': boolean;
        'flex-row-reverse': boolean;
    }>;
    bodyClasses: import("vue").ComputedRef<{
        [x: string]: boolean | ColorVariant | undefined;
        'card-body': boolean;
        'card-img-overlay': boolean;
    }>;
    footerClasses: import("vue").ComputedRef<{
        [x: string]: ColorVariant | undefined;
    }>;
    headerClasses: import("vue").ComputedRef<{
        [x: string]: ColorVariant | undefined;
    }>;
    imgClasses: import("vue").ComputedRef<{
        'card-img': boolean;
        'card-img-right': boolean;
        'card-img-left': boolean;
        'card-img-top': boolean;
        'card-img-bottom': boolean;
    }>;
    imgAttr: import("vue").ComputedRef<{
        src: string | undefined;
        alt: string | undefined;
        height: string | number | undefined;
        width: string | number | undefined;
    }>;
    subTitleClasses: import("vue").ComputedRef<{
        [x: string]: ColorVariant;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    align: {
        type: PropType<Alignment>;
        required: false;
    };
    bgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    bodyBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    bodyClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    bodyTag: {
        type: StringConstructor;
        default: string;
    };
    bodyTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    borderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footer: {
        type: StringConstructor;
        required: false;
    };
    footerBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footerBorderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    footerClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    footerHtml: {
        type: StringConstructor;
        default: string;
    };
    footerTag: {
        type: StringConstructor;
        default: string;
    };
    footerTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    header: {
        type: StringConstructor;
        required: false;
    };
    headerBgVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    headerBorderVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    headerClass: {
        type: (ObjectConstructor | StringConstructor | ArrayConstructor)[];
        required: false;
    };
    headerHtml: {
        type: StringConstructor;
        default: string;
    };
    headerTag: {
        type: StringConstructor;
        default: string;
    };
    headerTextVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    imgAlt: {
        type: StringConstructor;
        required: false;
    };
    imgBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgEnd: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    imgLeft: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgRight: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgSrc: {
        type: StringConstructor;
        required: false;
    };
    imgStart: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgTop: {
        type: BooleanConstructor;
        default: boolean;
    };
    imgWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    noBody: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    subTitle: {
        type: StringConstructor;
        required: false;
    };
    subTitleTag: {
        type: StringConstructor;
        default: string;
    };
    subTitleTextVariant: {
        type: PropType<ColorVariant>;
        default: string;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    textVariant: {
        type: PropType<ColorVariant>;
        required: false;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    titleTag: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    tag: string;
    bodyTag: string;
    footerHtml: string;
    footerTag: string;
    headerHtml: string;
    headerTag: string;
    imgBottom: boolean;
    imgEnd: boolean;
    imgLeft: boolean;
    imgRight: boolean;
    imgStart: boolean;
    imgTop: boolean;
    noBody: boolean;
    overlay: boolean;
    subTitleTag: string;
    subTitleTextVariant: ColorVariant;
    titleTag: string;
}>;
export default _sfc_main;
